Retrieves the company with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

company
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

is_client

SALES : Indicate if can be used for ordering

boolean
is_supplier

SERVICES : indicate if this company is a supplier

boolean
archived

Archive this company to not have it anymore on the search

boolean
name

string

Required

Max length: 64

notes

Notes/Remark field

string
create_date

Creation date+time

date
sales_territory_id

Territory of the company (Sales+Services).If more than one sales_territory exists, then it must be filled

globally unique identifier
sales_territory_code

Embedded entity "sales_territory" using ERP PK when adding/updating company

string
sales_territory

Embedded entity "sales_territory" using node when adding/updating company

sales_territory
marketing_segment_id

Marketing Segment of the company (Sales (Visit frequency logic) +Services (Planning Jobs To Be Planned) )

globally unique identifier
marketing_segment_code

Embedded entity "marketing_segment" using ERP PK when adding/updating company

string
marketing_segment

Embedded entity "marketing_segment" using node when adding/updating company

marketing_segment
sales_organization_id

Organization on which belongs the company.If more than one sales_organization exists, then it must be filled

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company

string
sales_organization

Embedded entity "sales_organization" using node when adding/updating company

sales_organization
company_sales_status_code

Foreign key of company_sales_status using code. Use "Normal,CreditRisk, BlockedbyCM or OrderBlocked"

string
vat_reg_code

VAT number

string

Max length: 50

is_working_address

Services : If False, you cannot create project/installation on this company.Default=true

boolean
parent_id

Reference to a parent company (in case of Child/Parent) when adding/updating company

globally unique identifier
parent_company_code

Embedded entity "company" for parent (in case of Child/Parent) using ERP PK when adding/updating company

string
parent_company

Embedded entity "company" for parent (in case of Child/Parent) when adding/updating company

company
phone

Phone number of the company

string

Max length: 50

fax

Fax number of the company

string

Max length: 50

url

URL of the company website

string

Max length: 255

email

email

string

Max length: 250

street

Address:Street

string

Max length: 100

street_number

Address:Street Number. If your ERP doesn't have this field, then only use field "street" and disable the street number on Odyssee/Admin/Impl Settings/Global Settings:Hide Street Number

string

Max length: 50

city

Address:City

string

Max length: 50

zip

Address:Zip

string

Max length: 50

db_country_id

Address:Country

globally unique identifier
db_country_code

Address:CountryCode entity using international code when adding/updating company

string
feelist_id

FeeList activated for the company (On Service, Feelist determines the price of the invoicable timesheets)

globally unique identifier
feelist_reference_back_office

Embedded entity "feelist" using ERP PK when adding/updating company

string
feelist

Embedded entity "feelist" using node when adding/updating company

feelist
company_type_id

Company Type

globally unique identifier
company_type_name

Embedded entity "company_type" using ERP PK when adding/updating company

string
company_type

Embedded entity "company_type" using node when adding/updating company

company_type
db_language_id

Language of the company.If empty, will use the default on the system

globally unique identifier
db_language_code

Language code entity using international isocode when adding/updating company

string
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

article_price_label_id

Foreign key of article price label

globally unique identifier
article_price_label_code

Embedded entity "article price label" using ERP PK when adding/updating

string
article_price_label

Embedded entity "article price label" when adding/updating

article_price_label
db_payment_method_id

Embedded entity "db payment methods" using ERP PK when adding/updating company

globally unique identifier
db_payment_method_reference_back_office

Embedded entity "db payment methods" using ERP PK when adding/updating company

string
db_payment_methods

Embedded entity "db payment methods" using ERP PK when adding/updating company

db_payment_methods
company_sector_id

Foreign key to company_sector

globally unique identifier
company_sector_code

Embedded code for the company_sector using ERP PK when adding/updating

string
company_sector

Embedded entity for the company_sector using the key from an external system when adding/updating object

company_sector
is_lead

Indicate that company is not already a customer

boolean
is_subcontractor

For Service, that company is one of your subcontractors

boolean
latitude

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
street2

Additional information on the address not part of the postal address

string
bic_code

bic code

string
specialities

specialities

string
register_number

register_number

string
register_city

register_city

string
bankaccount

Bank account of the company.

string
mobile

Mobile number of the company

string

Max length: 50

service_manager_user_id

ID of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags

globally unique identifier
service_manager_user_code

Embedded code of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags

string
service_manager_user

Embedded entity of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags

user
finance_manager_user_id

ID of the finance manager. Only used inside communication and tags

globally unique identifier
finance_manager_user_code

Embedded code of the finance manager. Only used inside communication and tags

string
finance_manager_user

Embedded entity of the finance manager. Only used inside communication and tags

user
account_manager_user_id

ID of the account manager. Only used inside communication and tags

globally unique identifier
account_manager_user_code

Embedded code of the account manager. Only used inside communication and tags

string
account_manager_user

Embedded entity of the account manager. Only used inside communication and tags

user
company_status_id

Company Status

globally unique identifier
invoice_email_to

Email to send invoice

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric)

integer

Response Formats

application/json, text/json

Sample:
{
  "id": "90101bb1-45cb-4f9b-8dd3-929f7c0da966",
  "is_client": true,
  "is_supplier": true,
  "archived": true,
  "name": "sample string 5",
  "notes": "sample string 6",
  "create_date": "2026-07-16T05:03:07.6242623+00:00",
  "sales_territory_id": "1d1bf590-ef27-45e6-a536-50124d026542",
  "sales_territory_code": "sample string 9",
  "sales_territory": {
    "id": "d1a63210-731a-4d7d-b3fc-e90364d741a9",
    "code": "sample string 2",
    "description": "sample string 3",
    "sales_organization_id": "b9ae3a50-7053-4899-8d60-638cababf630",
    "sales_organization_code": "sample string 5",
    "sales_organization": {
      "id": "c327dec6-04f2-4d90-a252-4da52f600f3a",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "143d5793-c904-406f-ab2c-1e3a810b9415",
      "db_currency_id": "013f024a-e02b-4215-8dbd-8ce66d478e4a",
      "db_language_id": "b872ff92-9da2-4910-8314-723069b15ceb",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-07-16T05:03:07.6242623+00:00"
    },
    "modified_dateutc": "2026-07-16T05:03:07.6242623+00:00"
  },
  "marketing_segment_id": "de1c992a-683c-4b85-9bbe-1c588ca0f0b7",
  "marketing_segment_code": "sample string 11",
  "sales_organization_id": "ec7ac810-6760-44ef-8073-8f0e479810da",
  "sales_organization_code": "sample string 13",
  "company_sales_status_code": "sample string 14",
  "vat_reg_code": "sample string 15",
  "is_working_address": true,
  "parent_id": "c39978a3-9429-4b46-9c54-f9468457a9d6",
  "parent_company_code": "sample string 18",
  "phone": "sample string 19",
  "fax": "sample string 20",
  "url": "sample string 21",
  "email": "sample string 22",
  "street": "sample string 23",
  "street_number": "sample string 24",
  "city": "sample string 25",
  "zip": "sample string 26",
  "db_country_id": "71190de4-a377-4207-9fb5-fd701823cadc",
  "db_country_code": "sample string 28",
  "feelist_id": "42574ab1-898f-434c-9e61-ede30708615f",
  "feelist_reference_back_office": "sample string 30",
  "feelist": {
    "id": "dbcd7e2d-7d81-462b-a660-02b4d10be6c0",
    "name": "sample string 2",
    "description": "sample string 3",
    "is_default": true,
    "default_price": 1.0,
    "sales_organization_id": "d9b712dd-86fc-4350-a6e2-f2096c0280d1",
    "sales_organization_code": "sample string 6",
    "reference_back_office": "sample string 7",
    "modified_dateutc": "2026-07-16T05:03:07.6242623+00:00",
    "db_currency_id": "dc1bbecb-d4a9-4d6c-9675-e566b0f02431",
    "db_currency_code": "sample string 10"
  },
  "company_type_id": "482321cb-7c6f-470d-b227-430caca43146",
  "company_type_name": "sample string 32",
  "company_type": {
    "id": "c9498d74-db00-4362-a1c7-17cf1a4c758c",
    "name": "sample string 2",
    "description": "sample string 3",
    "sales_organization_id": "9fcc85b2-41f2-4b23-a609-9461e5314b39",
    "sales_organization_code": "sample string 5"
  },
  "db_language_id": "c0721eb9-231c-43d8-a2fa-1430d160d0c8",
  "db_language_code": "sample string 34",
  "code": "sample string 35",
  "article_price_label_id": "2ff82da1-7fbb-457d-b8c8-f7e758bdb908",
  "article_price_label_code": "sample string 37",
  "db_payment_method_id": "338514cf-3286-4f1d-93db-06fbf9d0f0df",
  "db_payment_method_reference_back_office": "sample string 39",
  "db_payment_methods": {
    "id": "cf4270a4-41e3-43e2-a75d-5d791f2f8cdc",
    "name": "sample string 2",
    "description": "sample string 3",
    "reference_back_office": "sample string 4",
    "activated": true,
    "modified_dateutc": "2026-07-16T05:03:07.6242623+00:00"
  },
  "company_sector_id": "c4a06306-9b9a-4b55-b9a3-e4bf66d6ecff",
  "company_sector_code": "sample string 41",
  "is_lead": true,
  "is_subcontractor": true,
  "latitude": 1.0,
  "longitude": 1.0,
  "street2": "sample string 44",
  "bic_code": "sample string 45",
  "specialities": "sample string 46",
  "register_number": "sample string 47",
  "register_city": "sample string 48",
  "bankaccount": "sample string 49",
  "mobile": "sample string 50",
  "service_manager_user_id": "a44d024e-84f4-414e-8cf0-218d73f83f0d",
  "service_manager_user_code": "sample string 52",
  "finance_manager_user_id": "a581405a-dc20-44c8-be77-67b1f71da9d1",
  "finance_manager_user_code": "sample string 54",
  "account_manager_user_id": "29e58c2d-ef08-4d01-bd4a-833600d84268",
  "account_manager_user_code": "sample string 56",
  "company_status_id": "4cb854eb-91fa-475b-add9-58b8ac1851a3",
  "invoice_email_to": "sample string 58",
  "modified_dateutc": "2026-07-16T05:03:07.6242623+00:00",
  "id2": 60
}